package it.inaf.oats.vospace;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import it.inaf.ia2.aa.LoginFilter;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

@SpringBootApplication
public class VospaceApplication {

    public static void main(String[] args) {
        SpringApplication.run(VospaceApplication.class, args);
    }

    @Bean
    public FilterRegistrationBean loginFilterRegistration() {
        FilterRegistrationBean registration = new FilterRegistrationBean();
        registration.setFilter(new LoginFilter());
        registration.addUrlPatterns("/private/*");
        return registration;
    }

    @Bean
    public Marshaller marshaller() {
        try {
            JAXBContext context = JAXBContext.newInstance();
            Marshaller marshaller = context.createMarshaller();
            return marshaller;
        } catch (JAXBException e) {
            throw new RuntimeException(e);
        }
    }
}
